//
//  MyAppWindow.m
//  BorderView
//
//  Created by Dave Jewell on 05/06/2008.
//  Copyright 2008 Dave Jewell. All rights reserved.
//

#import "MyAppWindow.h"
#import "MyFrameView.h"

@interface NSWindow(STDCU)		// Shut The Damn Compiler Up.... ;-)
- (id) _borderView;
@end

@implementation MyAppWindow

+ (Class) frameViewClassForStyleMask: (unsigned) styleMask
{
	return [MyFrameView class];
}

- (id) initWithContentRect:(NSRect)contentRect styleMask:(NSUInteger)windowStyle backing:(NSBackingStoreType)bufferingType defer:(BOOL)deferCreation
{
	return [super initWithContentRect: contentRect styleMask: windowStyle  backing: bufferingType defer: deferCreation];
}

- (IBAction) toggleUtility: (id) sender
{
	[[self _borderView] _setUtilityWindow: [sender state]];
}

- (IBAction) toggleClosable: (id) sender
{
	[[self _borderView] setIsClosable: [sender state]];
}

- (IBAction) toggleSizable: (id) sender
{
	[[self _borderView] setIsResizable: [sender state]];
}

// Here's how to display a lock button 'a la Safari' !
- (BOOL) showsLockButton
{
	return showLockButton;
}

- (void) lockButtonClicked: (id) sender
{
	NSRunAlertPanel (@"What's Up, Doc?", @"Lock button was clicked...", @"OK", nil, nil);
}

- (IBAction) toggleLockButton: (id) sender
{
	showLockButton = [sender state];
	// Tell frame view to update the buttons...
	[[self _borderView] _updateButtons]; 
}

@end
