//
//  MyFrameView.m
//  BorderView
//
//  Created by Dave Jewell on 05/06/2008.
//  Copyright 2008 Dave Jewell. All rights reserved.
//

#import "MyFrameView.h"

@implementation MyFrameView

- (id) initWithFrame: (NSRect) frame styleMask: (unsigned) style owner:(id) owner
{
	self = [super initWithFrame: frame styleMask: style owner: owner];
	if (self)
	{
		NSTextFieldCell * cell = [self titleCell];
		[cell setBackgroundColor: [NSColor yellowColor]];
		[cell setDrawsBackground: YES];
	}
	
	return self;
}

- (void) _setShadowParameters
{
	extern OSStatus CGSSetWindowShadowAndRimParameters (void * cid, int wid, float standardDeviation, float density, 
																											int offsetX, int offsetY, unsigned int flags);
	
	int stype;
	if ((stype = [self _shadowType]) != [self shadowState])
	{
		[self setShadowState: stype];
		CGSSetWindowShadowAndRimParameters ([NSApp contextID], [_window windowNumber], 35.0, 0.75, 0, 0x1c, 0);
	}
}

- (void) _drawTitleStringIn: (NSRect) rect withColor: (NSColor *) color
{ 
	[super _drawTitleStringIn: rect withColor: [NSColor blueColor]];
}

@end
